summaryrefslogtreecommitdiffstats
path: root/bin/reproducible_maintenance.sh
diff options
context:
space:
mode:
authorHolger Levsen <holger@layer-acht.org>2015-11-04 11:17:52 +0100
committerHolger Levsen <holger@layer-acht.org>2015-11-04 11:17:52 +0100
commit5b0a2dc249bd25dbc7a0c8c911f80a7ffc94dcd2 (patch)
tree9af37c41be5abac4a1bb9a35a8f79a3bee1be7b0 /bin/reproducible_maintenance.sh
parent616a0f01b7132dfe695616aa2307c5504de9b0f4 (diff)
downloadjenkins.debian.net-5b0a2dc249bd25dbc7a0c8c911f80a7ffc94dcd2.tar.xz
reproducible: only keep artifacts for 1 day (instead of 2)
Diffstat (limited to 'bin/reproducible_maintenance.sh')
-rwxr-xr-xbin/reproducible_maintenance.sh8
1 files changed, 4 insertions, 4 deletions
diff --git a/bin/reproducible_maintenance.sh b/bin/reproducible_maintenance.sh
index dfa6ea4a..50bef4e7 100755
--- a/bin/reproducible_maintenance.sh
+++ b/bin/reproducible_maintenance.sh
@@ -317,13 +317,13 @@ if [ ! -z "$PSCALL" ] ; then
fi
-# remove artifacts older than 2 days
-echo "$(date -u) - Checking for artifacts older than 2 days."
-ARTIFACTS=$(find $BASE/artifacts/* -maxdepth 1 -type d -mtime +2 -exec ls -lad {} \; 2>/dev/null|| true)
+# remove artifacts older than a day
+echo "$(date -u) - Checking for artifacts older than a day."
+ARTIFACTS=$(find $BASE/artifacts/* -maxdepth 1 -type d -mtime +1 -exec ls -lad {} \; 2>/dev/null|| true)
if [ ! -z "$ARTIFACTS" ] ; then
echo
echo "Removed old artifacts:"
- find $BASE/artifacts/* -maxdepth 1 -type d -mtime +2 -exec rm -rv {} \;
+ find $BASE/artifacts/* -maxdepth 1 -type d -mtime +1 -exec rm -rv {} \;
echo
fi